package de.gruschke.dasync;

import java.io.PrintStream;

/**
 * Print the Differences of two Maps to System.out
 *
 * @author Boris Gruschke
 */

public class PrintDiffMapComparer extends MapComparer {

    protected void inOneOnly(Object key, Object value) {
	out.print("*** AS Only: Key=" + key);
	if (verbose) {
	    out.print("; Entry="+ value);
	}
	out.println();
    }

    protected void inTwoOnly(Object key, Object value) {
	out.print("*** DS Only: Key=" + key);
	if (verbose) {
	    out.print("; Entry="+ value);
	}
	out.println();
    }

    protected void oneAndTwoDiffer(Object key,
				   Object valueOne,
				   Object valueTwo) {
	out.print("*** Differing Entries: Key=" + key);
	if (verbose) {
	    out.print("; EntryAS=" + valueOne + "; EntryDS=" + valueTwo);
	}
	out.println();
    }

    protected void oneAndTwoEqual(Object key, Object value) {
	if (verbose) {
	    out.println("*** Equal Entries: Key=" + key + "; Entry=" + value);
	}
    }

    private PrintStream out = System.out;
}
